<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.AuthoritiesMapper">

    <insert id="batchInsert" parameterType="java.util.List">
        insert into authorities (user_id, username, authority)
        VALUES
        <foreach collection ="list" item="it" separator =",">
            (#{it.userId}, #{it.username}, #{it.authority})
        </foreach >
    </insert>

</mapper>
